CEL: Crystal Entity Layer: iPcPortal Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcPortal Struct Reference

This is a property class holding the representation of a portal. More...

`#include <propclass/portal.h>`

List of all members.

## Public Member Functions
virtual void | ClosePortal ()=0
| Close portal.
virtual iPortal * | GetPortal ()=0
| Get the portal.
virtual bool | IsPortalClosed () const =0
| Is the portal closed?
virtual void | OpenPortal ()=0
| Open portal.
virtual bool | SetPortal (const char *mesh, const char *portal=0)=0
| Set the portal to use.

## Detailed Description

This is a property class holding the representation of a portal.

This is mainly useful in cases where you want to close a portal for performance reasons. Closing a portal can be useful in case you have a door that closes off the portal and it doesn't make sense to use the portal anyway.

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property:

- mesh (string, read/write): the name of the portal mesh.
- portal (string, read/write): the name of the portal.
- closed (bool, read/write): if the portal is closed or not.

Definition at line 45 of file portal.h.

## Member Function Documentation

virtual void iPcPortal::ClosePortal | ( |  | ) | `[pure virtual]`

| Close portal.

virtual iPortal* iPcPortal::GetPortal | ( |  | ) | `[pure virtual]`

| Get the portal.

virtual bool iPcPortal::IsPortalClosed | ( |  | ) | const`[pure virtual]`

| Is the portal closed?

virtual void iPcPortal::OpenPortal | ( |  | ) | `[pure virtual]`

| Open portal.

virtual bool iPcPortal::SetPortal | ( | const char * | mesh,
|  | const char * | portal = `0`
| ) | `[pure virtual]`

  | Set the portal to use. Parameters:
  | mesh | is the name of the portal mesh.
  | portal | is the optional name of the portal.

The documentation for this struct was generated from the following file:

- propclass/portal.h